Skip to content

Add a case comment
deprecated

Request

This endpoint allows for a comment to be placed on a case.

Note : V1 endpoint is deprecated for new integrations and advising users to migrate to the 2026Q3 onwards API.

Security
ClientCredentialsToken
Path
caseIdinteger, (int64)required

Case ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
commentstring

The comment that you want to add to the case. This can include markdown. The maximum size of the comment is 65,535 characters. If additional characters are sent, the field will be truncated.

Example:"Please see the attached information as requested.\n\nTransfer Details...."
curl -i -X PUT \
  'https://api.wise.com/v1/cases/{caseId}/comments' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "comment": "Please see the attached information as requested.\n\nTransfer Details...."
  }'

Responses

Successfully updated. No response body.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content